Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0025986
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] A. Platformmajorhave not tried2014-03-13 17:032014-03-16 06:37
ReporteralostaleView Statuspublic 
Assigned ToAugustoMauch 
PriorityimmediateResolutionfixedFixed in Version3.0PR14Q2
StatusclosedFix in branchFixed in SCM revisionf8fcc834d0c1
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Toshankarb
Web browser
ModulesCore
Regression levelPre packaging ( pi )
Regression date2014-02-26
Regression introduced in release
Regression introduced by commithttps://code.openbravo.com/erp/devel/pi/rev/20eb3426d990 [^]
Triggers an Emergency PackNo
Summary

0025986: notes datasources are leaked

DescriptionAll notes smarclient datasources are leaked.
Steps To Reproduce-In js console execute: var s = scopeleaks.snapshot()
-Open Sales Order window and close it
-In js console execute: scopeleaks.leaks(s)
  -> it returns: ["isc_OBPickAndExecuteDataSource_0", "isc_OBRestDataSource_0", "isc_OBRestDataSource_1", "isc_OBRestDataSource_2", "isc_OBRestDataSource_3", "isc_OBRestDataSource_4", "isc_OBRestDataSource_5", "isc_OBRestDataSource_6", "isc_OBRestDataSource_7"]

It should return []
TagsPerformance
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to defect 00259853.0PR14Q3 closedAugustoMauch P&E smarclient datasources are leaked 
related to feature request 0025574 closeddbaz Upgrade SmartClient 10.0d 
depends on defect 0023761 closedinigosanchez Memory leaks on the browser 

-  Notes
(0065141)
hgbot (developer)
2014-03-13 18:06

Repository: erp/devel/pi
Changeset: f8fcc834d0c1d7a9aea606247a98b8af64f31a23
Author: Asier Lostalé <asier.lostale <at> openbravo.com>
Date: Thu Mar 13 18:06:12 2014 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/f8fcc834d0c1d7a9aea606247a98b8af64f31a23 [^]

fixed bug 25986: notes datasources are leaked

---
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/main/ob-standard-view.js
---
(0065142)
alostale (developer)
2014-03-13 18:07

After fix notes are not leaked but still P&E is

Tested notes continue working in the same way as before.
(0065183)
hudsonbot (developer)
2014-03-15 03:04

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/8396ec753aec [^]
Maturity status: Test
(0065203)
shankarb (developer)
2014-03-16 06:37

Code reviewed and verified in pi changeset 09baf685138e.

- Issue History
Date Modified Username Field Change
2014-03-13 17:03 alostale New Issue
2014-03-13 17:03 alostale Assigned To => AugustoMauch
2014-03-13 17:03 alostale Modules => Core
2014-03-13 17:03 alostale Triggers an Emergency Pack => No
2014-03-13 17:04 alostale Relationship added related to 0025985
2014-03-13 17:04 alostale Relationship added related to 0025574
2014-03-13 17:05 alostale Regression level => Pre packaging ( pi )
2014-03-13 17:05 alostale Regression date => 2014-02-26
2014-03-13 17:05 alostale Regression introduced by commit => https://code.openbravo.com/erp/devel/pi/rev/20eb3426d990 [^]
2014-03-13 17:48 alostale Summary smarclient datasources are leaked => notes datasources are leaked
2014-03-13 17:48 alostale Description Updated View Revisions
2014-03-13 18:06 hgbot Checkin
2014-03-13 18:06 hgbot Note Added: 0065141
2014-03-13 18:06 hgbot Status new => resolved
2014-03-13 18:06 hgbot Resolution open => fixed
2014-03-13 18:06 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/f8fcc834d0c1d7a9aea606247a98b8af64f31a23 [^]
2014-03-13 18:07 alostale Note Added: 0065142
2014-03-13 18:14 alostale Tag Attached: Performance
2014-03-13 18:18 alostale Review Assigned To => shankarb
2014-03-15 03:04 hudsonbot Checkin
2014-03-15 03:04 hudsonbot Note Added: 0065183
2014-03-16 06:37 shankarb Note Added: 0065203
2014-03-16 06:37 shankarb Status resolved => closed
2014-03-16 06:37 shankarb Fixed in Version => PR14Q2
2014-05-23 07:56 alostale Relationship added depends on 0023761


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker